Skip to content
 

PG4WP and WordPress Multisite (aka WPMU)

Since version 3.0, WordPress integrated multisite code into its core code, so I’ve recently tested setting up a network of sites on a dev environment.

Not so surprisingly it didn’t work, but the generated errors showed that it shouldn’t be very difficult to get it working.

WPMU will require code reorganisation, and enhanced support for upgrading functions.
I’m starting to work on these changes mainly because they will improve the overall quality of PG4WP.

If you are interested in PG4WP support for WPMU and want to help testing, please contact me by leaving a comment here or via the contact form.

6 commentaires

  1. Lonni J Friedman dit :

    Hi,
    I’m definitely interested in using pg4wp and multisite together. I’m currently running wordpress-3.3 and pg4wp-1.2.2. I’d be happy to test anything that you have to offer.

    thanks!

  2. chrischan dit :

    I would like to help as well. Can you send a new version to me ?

  3. Wayne dit :

    Hi,

    I am working on a project with multisite and postgres. It seems pg4wp-1.2.2 doesn’t work well. Please send me a new version and I’d like to test out.

    Thanks!

  4. Hawk__ dit :

    Hi !

    I didn’t work much on WP-Multisite but I intend to do so in the next few months.
    If you are still interested please let me know and I’ll send you testing versions when I work in it.

  5. Nanang dit :

    Hi :=))

    Help me..
    I installed wordpress 3.2.1 with postgresql-for-wordpress.1.2.2,
    I Have error database connection when I create multisite domain.
    That error on subdomain…
    Error establishing a database connection

    Can anyone help me? :(

    Best Regards,
    Nanang

  6. Hawk__ dit :

    For now PG4WP does NOT work with WPMU, so I don’t think it will be possible to help you for now.

    The good news is that I’m currently working again on PG4WP and chances are WPMU support will come in the next few weeks.

    UPDATE : you should give a try to the latest development version of PG4WP. I’ve made changes that seem to make WPMU work correctly (at least in « subdirectory » mode).